<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:fadeScrollbars="true"
    android:scrollbarAlwaysDrawHorizontalTrack="true"
    android:scrollbarStyle="insideOverlay">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        tools:context=".ui.RequestPermissionActivity">

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/tvPermissionHeader"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="24dp"
            android:text="@string/permission_not_grant"
            android:textAlignment="center"
            android:textSize="18sp"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/tvPermissionExplain"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="8dp"
            android:text="@string/tvPermissionExplain"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tvPermissionHeader" />

        <com.google.android.material.button.MaterialButton
            android:id="@+id/btRequestNow"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="16dp"
            android:text="@string/reqPermBt"
            app:layout_constraintTop_toBottomOf="@+id/tvPermissionExplain" />

        <com.google.android.material.button.MaterialButton
            android:id="@+id/btRequestManual"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="16dp"
            android:text="@string/btSetPermsManual"
            app:layout_constraintTop_toBottomOf="@id/btRequestNow" />

        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/tvSetPermissionManual"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="8dp"
            android:text="@string/tvSetPermsManual"
            app:layout_constraintTop_toBottomOf="@id/btRequestManual" />

        <com.google.android.material.button.MaterialButton
            android:id="@+id/btNextTime"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="16dp"
            android:text="@string/btCancel"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tvSetPermissionManual"/>

    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.core.widget.NestedScrollView>